# Create a brand kit subsection

Creates a custom brand kit subsection (field). Each brand kit section contains predefined subsections. If a relevant guideline isn’t included by default, you can create a custom subsection to define it. For example, the *Brand Context* section has default subsections to define the brand's purpose, history, and more. To add a new subsection for *Brand Values*, you can use this endpoint to create it.
You can also use this endpoint to manage the terms in the **Glossary and Localization** section as follows:
To add new terms, add a value array. In the following example, *product* will be translated into French and Spanish. 
**NOTE**: To delete a term, use the [**PATCH** endpoint](#operation/update_brand_kit_section_field).
To mark a term as not to be translated, use an empty value [ ]. In the following example, *CompanyName* will not be translated. 
**NOTE**: These examples apply only to the **Glossary and Localization** section.

Endpoint: POST /api/brands/v2/organizations/{organizationId}/brandkits/{brandkitId}/sections/{sectionId}/fields
Version: v1.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `organizationId` (string, required)
    The unique identifier of your organization.

 To get this value, in the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL, the `organizationId` comes after `organization=` .

  - `brandkitId` (string, required)
    The unique identifier of your brand kit.

 To get this value, use the [List brand kits](#operation/list_brand_kits) endpoint  to return the `id` of each brand kit in your organization. This is the same `id` returned when you create a brand kit using the [Create a brand kit](#operation/create_brand_kit) endpoint.

 Alternatively, you can open your brand kit in Stream. In the [Sitecore Cloud Portal](https://portal.sitecorecloud.io/) URL,  `brandkitId` comes after `brandkits/`.

  - `sectionId` (string, required)
    The unique identifier of your brand kit section.

 To get this value, use the [List brand kit sections](#operation/list_brand_kit_sections) endpoint. The `id` in the response is the section ID.

## Request fields (application/json):

  - `name` (string, required)
    The name of the subsection to be created.
    Example: Localization and cultural sensitivity

  - `type` (string, required)
    The type of brand kit subsection.
    Enum: "text", "array", "richArray"

  - `order` (any)
    The position of the subsection within the brand kit section. For example, in the *Global Goals* section, the `order` is `1` for the *Digital mandatories* subsection.
    Example: 1

  - `value` (any)
    The value or content of the created subsection.
    Example: Essential requirements for adapting digital content to diverse linguistic, cultural, and regional contexts.

  - `intent` (any)
    The intent or prompt that instructs the AI in populating this subsection and retrieving information from existing brand knowledge based on uploaded brand documents.
    Example: The core reason for the brand existence.

  - `references` (any)
    An array of references associated with the brand kit subsection.

  - `references.id` (string, required)
    The unique identifier of the document used in the brand kit subsection.
    Example: 2ad5c154-6404-49ed-9ffc-0603c360a5af

  - `references.path` (string, required)
    The location of the reference used in the brand kit subsection.
    Example: /path

  - `references.type` (string, required)
    The type of reference associated with a brand kit subsection (field).
    Enum: "documentChunk", "webpage"

  - `deletable` (any)
    Whether the subsection can be deleted.
    Example: true

  - `verified` (any)
    Whether the subsection's content has been verified by the user.
    Example: true

  - `aiEditable` (any)
    Whether the subsection can be edited by AI. If set to `true`, the AI will overwrite the subsection's content value when brand documents are reprocessed.
    Example: true

  - `createdBy` (any)
    The user who created the subsection.
    Example: mman

  - `properties` (any)
    Additional properties for the subsection.

## Response 201:

  - `201` (unknown)
    Brand kit subsection created successfully

## Response 201 fields (application/json):

  - `id` (string, required)
    The unique identifier for the created brand kit subsection.
    Example: b2f2e1a1-295d-4d40-88f2-93bf545bb879

  - `name` (string, required)
    The name of the subsection.
    Example: Localization and cultural sensitivity

  - `type` (string, required)
    The type of brand kit subsection.
    Enum: "text", "array", "richArray"

  - `order` (any)
    The order the subsection appears in the brand kit section. For example, if it is the first subsection,  `order` is `1`.
    Example: 1

  - `value` (any)
    The value or content of the created subsection.
    Example: Essential requirements for adapting digital content to diverse linguistic, cultural, and regional contexts.

  - `intent` (any)
    The intent or prompt that instructs the AI in populating this subsection and retrieving information from existing brand knowledge based on uploaded brand documents.
    Example: The core reason for the brand existence.

  - `references` (any)
    The brand documents the AI referenced to generate content for this subsection.

  - `references.id` (string, required)
    The unique identifier of the document used in the brand kit.
    Example: 2ad5c154-6404-49ed-9ffc-0603c360a5af

  - `references.path` (string, required)
    The location of the reference used in the brand kit.
    Example: /path

  - `references.type` (string, required)
    The type of reference used in the brand kit.
    Example: document

  - `deletable` (any)
    Whether the subsection can be deleted.
    Example: true

  - `verified` (any)
    Whether the subsection's content has been verified by the user.
    Example: true

  - `createdOn` (any)
    The date and time when the subsection was created, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `createdBy` (any)
    The user who created the subsection
    Example: mman

  - `updatedOn` (any)
    The date and time when the subsection was updated, formatted in ISO 8601.
    Example: 2025-06-18T12:46:12.718310Z

  - `updatedBy` (any)
    The user who last updated the subsection.
    Example: mman

  - `aiEditable` (any)
    Whether the subsection can be edited by AI. If set to `true`, the AI will overwrite the subsection's content value when brand documents are reprocessed.
    Example: true

  - `properties` (any)
    Additional properties for the subsection.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

